#include<iostream>
#include<vector>
#include<queue>
#include<cstring>

using namespace std;

int n,a,b;

int main()
{
    cin>>n;
    for(int i=1;i<n;i++)
    {
//        cin>>a>>b;
    }
    if(n%2==1) cout<<n-2<<endl;
    else cout<<n-3<<endl;
    return 0;
}
/**
10
1 2
2 3
3 4
4 5
5 6
6 7
7 8
8 9
9 10
1 0 0 0 1 0 1 1 0 1


5
1 2
1 3
1 4
1 5
*/